Bug 1687058 - Bad tmpfile configuration
Summary: Bad tmpfile configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firebird
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Philippe Makowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-09 07:14 UTC by Remi Collet
Modified: 2019-08-29 22:06 UTC (History)
2 users (show)

Fixed In Version: firebird-3.0.4.33054-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-29 22:06:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2019-03-09 07:14:00 UTC
During installation:


[/usr/lib/tmpfiles.d/firebird.conf:1] Line references path below legacy directory /var/run/, updating /var/run/firebird → /run/firebird; please update the tmpfiles.d/ drop-in file accordingly.

Comment 1 Remi Collet 2019-03-22 13:37:48 UTC
A solution can be to drop tmpfiles.d and use systemd features

[Service]
User=firebird
Group=firebird
ExecStart=/usr/sbin/fbguard -forever
StandardError=syslog
RuntimeDirectory=firebird
RuntimeDirectoryMode=0775

Notice: 
- use of RuntimeDirectory*
- switch to Forking to Simple
- drop -pidfile and -daemon options

Comment 2 Fedora Update System 2019-08-21 12:12:46 UTC
FEDORA-2019-a2e00c232e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2e00c232e

Comment 3 Fedora Update System 2019-08-22 03:32:33 UTC
firebird-3.0.4.33054-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a2e00c232e

Comment 4 Fedora Update System 2019-08-29 22:06:17 UTC
firebird-3.0.4.33054-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.